<?php
/**
 * @Packge     : Poolax
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    poolax_setPostViews( get_the_ID() );

    ?>
    <div <?php post_class(); ?>>
    <?php
        if( class_exists('ReduxFramework') ) {
            $poolax_post_details_title_position = poolax_opt('poolax_post_details_title_position');
        } else {
            $poolax_post_details_title_position = 'header';
        }

        $allowhtml = array(
            'p'         => array(
                'class'     => array()
            ),
            'span'      => array(),
            'a'         => array(
                'href'      => array(),
                'title'     => array()
            ),
            'br'        => array(),
            'em'        => array(),
            'strong'    => array(),
            'b'         => array(),
        );
        // Blog Post Thumbnail
        do_action( 'poolax_blog_post_thumb' );
        
        echo '<div class="blog-content">';

            // Blog Post Meta
            do_action( 'poolax_blog_post_meta' );

            if( $poolax_post_details_title_position != 'header' ) {
                echo '<h2 class="blog-title">'.wp_kses( get_the_title(), $allowhtml ).'</h2>';
            }

            if( get_the_content() ){

                the_content();
                // Link Pages
                poolax_link_pages();
            }  

            if( class_exists('ReduxFramework') ) {
                $poolax_post_details_share_options = poolax_opt('poolax_post_details_share_options');
                $poolax_display_post_tags = poolax_opt('poolax_display_post_tags');
                $poolax_author_options = poolax_opt('poolax_post_details_author_desc_trigger');
            } else {
                $poolax_post_details_share_options = false;
                $poolax_display_post_tags = false;
                $poolax_author_options = false;
            }
            
            $poolax_post_tag = get_the_tags();
            
            if( ! empty( $poolax_display_post_tags ) || ( ! empty($poolax_post_details_share_options )) ){
                echo '<div class="share-links clearfix">';
                    echo '<div class="row justify-content-between">';
                        if( is_array( $poolax_post_tag ) && ! empty( $poolax_post_tag ) ){
                            if( count( $poolax_post_tag ) > 1 ){
                                $tag_text = __( 'Tags:', 'poolax' );
                            }else{
                                $tag_text = __( 'Tag:', 'poolax' );
                            }
                            if($poolax_display_post_tags){
                                echo '<div class="col-md-auto">';
                                    echo '<span class="share-links-title">'.esc_html($tag_text).'</span>';
                                    echo '<div class="tagcloud">';
                                        foreach( $poolax_post_tag as $tags ){
                                            echo '<a href="'.esc_url( get_tag_link( $tags->term_id ) ).'">'.esc_html( $tags->name ).'</a>';
                                        }
                                    echo '</div>';
                                echo '</div>';
                            }
                        }
    
                        /**
                        *
                        * Hook for Blog Details Share Options
                        *
                        * Hook poolax_blog_details_share_options
                        *
                        * @Hooked poolax_blog_details_share_options_cb 10
                        *
                        */
                        do_action( 'poolax_blog_details_share_options' );
    
                    echo '</div>';
    
                echo '</div>';    
            }  

        echo '</div>';

   

       

    echo '</div>'; 

        /**
        *
        * Hook for Blog Authro Bio
        *
        * Hook poolax_blog_details_author_bio
        *
        * @Hooked poolax_blog_details_author_bio_cb 10
        *
        */
        do_action( 'poolax_blog_details_author_bio' );

        /**
        *
        * Hook for Post Navigation
        *
        * Hook poolax_blog_details_post_navigation
        *
        * @Hooked poolax_blog_details_post_navigation_cb 10
        *
        */
        do_action( 'poolax_blog_details_post_navigation' );

        /**
        *
        * Hook for Blog Details Comments
        *
        * Hook poolax_blog_details_comments
        *
        * @Hooked poolax_blog_details_comments_cb 10
        *
        */
        do_action( 'poolax_blog_details_comments' );
