<?php
/**
 * @Packge     : Poolax
 * @Version    : 1.0
 * @Author     : Themeholy
 * @Author URI : https://themeforest.net/user/themeholy
 *
 */

    // Block direct access
    if( ! defined( 'ABSPATH' ) ){
        exit();
    }

    if( class_exists( 'ReduxFramework' ) && defined('ELEMENTOR_VERSION') ) {
        if( is_page() || is_page_template('template-builder.php') ) {
            $poolax_post_id = get_the_ID();

            // Get the page settings manager
            $poolax_page_settings_manager = \Elementor\Core\Settings\Manager::get_settings_managers( 'page' );

            // Get the settings model for current post
            $poolax_page_settings_model = $poolax_page_settings_manager->get_model( $poolax_post_id );

            // Retrieve the color we added before
            $poolax_header_style = $poolax_page_settings_model->get_settings( 'poolax_header_style' );
            $poolax_header_builder_option = $poolax_page_settings_model->get_settings( 'poolax_header_builder_option' );

            if( $poolax_header_style == 'header_builder'  ) {

                if( !empty( $poolax_header_builder_option ) ) {
                    $poolaxheader = get_post( $poolax_header_builder_option );
                    echo '<header class="header">';
                        echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $poolaxheader->ID );
                    echo '</header>';
                }
            } else {
                // global options
                $poolax_header_builder_trigger = poolax_opt('poolax_header_options');
                if( $poolax_header_builder_trigger == '2' ) {
                    echo '<header>';
                    $poolax_global_header_select = get_post( poolax_opt( 'poolax_header_select_options' ) );
                    $header_post = get_post( $poolax_global_header_select );
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $header_post->ID );
                    echo '</header>';
                } else {
                    // wordpress Header
                    poolax_global_header_option();
                }
            }
        } else {
            $poolax_header_options = poolax_opt('poolax_header_options');
            if( $poolax_header_options == '1' ) {
                poolax_global_header_option();
            } else {
                $poolax_header_select_options = poolax_opt('poolax_header_select_options');
                $poolaxheader = get_post( $poolax_header_select_options );
                echo '<header class="header">';
                    echo \Elementor\Plugin::instance()->frontend->get_builder_content_for_display( $poolaxheader->ID );
                echo '</header>';
            }
        }
    } else {
        poolax_global_header_option();
    }